<template>
  <div class="nav-bar"></div>
  <div class="cart">Cart({{ cart.length }})</div>
  <product-display-data-event
    :premium="premium"
    @add-to-cart="updateCart" 
    @remove-from-cart="removeById"
  >
    <!-- solution -->
  </product-display-data-event>
</template>

<script>
import ProductDisplayDataEvent from "@/components/ProductDisplayDataEvent";
export default {
    data() {
        return {
            cart: [],
            premium: true
        }
    },
    methods: {
        updateCart(id) {
            this.cart.push(id)
        },
        // solution
        removeById(id) {
            const index = this.cart.indexOf(id)
                if (index > -1) {
                    this.cart.splice(index, 1)
                }
        }
        // solution
    },
    components:{
          ProductDisplayDataEvent
    }
    
}
</script>
